## vspline 0.3.1

=== debian/changelog ===
vspline (0.3.1-1) unstable; urgency=low

  * update to upstream version 0.3.1
  * Bump Standards-Version to 4.1.1.

 -- Kay F. Jahnke <kfjahnke@gmail.com>  Sat, 18 Nov 2017 19:00:00 +0200

vspline (0.2.0-1) unstable; urgency=low

  * Initial release (Closes: #867382)
  
 -- Kay F. Jahnke <kfjahnke@gmail.com>  Sun, 10 Sep 2017 14:07:57 +0200
