## vspline 0.4.1

=== debian/changelog ===
vspline (0.4.1-1) unstable; urgency=low

  * update to upstream version 0.4.1
  * Bump Standards-Version to 4.2.1.
  * pointed Vcs-Browser and Vcs-Git to salsa

 -- Kay F. Jahnke <kfjahnke@gmail.com>  Sun, 07 Oct 2018 12:00:00 +0200
