=== debian/rules ===
#!/usr/bin/make -f

# for now we rely entirely upon dh.

# There are no build instructions for the vspline-example package,
# since it's content is meant to be instructive - if the sources are
# compiled, the resulting binaries aren't meant to be installed.

%:
	dh $@
