## vspline 1.0.1

=== debian/changelog ===
vspline (1.0.1-1) unstable; urgency=low

  * Team upload.

  [ Kay F. Jahnke ]
  * update to upstream version 1.0.1
  * Bump Standards-Version to 4.5.0

  [ Sébastien Villemot ]
  * Trim trailing whitespace.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 05 Apr 2020 13:23:32 +0200
