## vspline 1.0.2

=== debian/changelog ===
vspline (1.0.2-1) unstable; urgency=low

  * update to upstream version 1.0.2
  * Bump Standards-Version to 4.5.1

 -- Kay F. Jahnke <kfjahnke@gmail.com>  Sat, 19 Dec 2020 10:00:00 +0200
