=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: math
 Priority: optional
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/vspline
 Vcs-Git: https://salsa.debian.org/science-team/vspline.git
 Homepage: https://bitbucket.org/kfj/vspline
@@ -15,25 +15,27 @@
          ${misc:Depends}
 Suggests: clang,
           vc-dev
-Description: header-only C++ template library for uniform b-spline processing
+Description: header-only C++ template library for b-spline processing
  vspline aims to be as fast as possible, yet mathematically precise.
- It's main focus is processing of bulk raster data like sounds, images and
+ It's main focus is interpolation of bulk data like sounds, images and
  volumes. vspline can handle
  .
   -  splines over real and integer data types and their aggregates:
   -  all '*xel' data, arbitrary number of channels (template argument)
   -  single, double precision and long doubles supported (template argument)
-  -  a reasonable selection of boundary conditions
+  -  several boundary conditions (mirror, reflect, periodic, natural)
   -  spline degree up to 45 (runtime argument)
   -  arbitrary dimensionality of the spline (template argument)
   -  specialized code for 1D data
   -  multithreaded code (pthread)
   -  using the CPU's vector units if possible (like SSE, AVX/2)
+  -  processes nD arrays with arbitrary shapes and strides
  .
  On the evaluation side it provides
  .
   -  evaluation of the spline at point locations in the defined range
-  -  evaluation of vectorized arguments
+  -  evaluation of vectorized arguments with SIMD code
+  -  optional use of Vc for explicit SIMD code using intrinsics
   -  evaluation of the spline's derivatives
   -  factory functions to create evaluation functors
   -  specialized code for degrees 0 and 1 (nearest neighbour and n-linear)
@@ -47,7 +49,7 @@
  and some of this code may be helpful beyond vspline:
  .
   -  multithreading with a thread pool
-  -  efficient processing of nD arrays with multiple threads
+  -  application of fundamental and SIMD functors to nD arrays
   -  functional constructs using vspline::unary_functor
   -  nD forward-backward n-pole recursive filtering
   -  nD separable convolution
