=== debian/watch ===
# upstream is kept in a bitbucket repository, which offers tar.gz files for download
# for all tags which are present. this is a very convenient feature, since it produces
# what's needed as 'upstream tar ball' without any further ado and the process of stepping
# up to a new version can be automated. hence this watch file.

version=4

# Initially I used version tags derived from the date, like YYYYMMDD, and I only
# switched to using 'debian-friendly' tags like xx.yy.zz later. So in order to not
# pick up these old-style tags I have to be more explicit about the tags uscan should
# match, that's why I use the more specific RE

https://bitbucket.org/kfj/vspline/downloads?tab=tags .*/([0-9]+\.[0-9]+\.[0-9]+)\.tar\.gz
