## vspline 1.1.7

=== debian/changelog ===
vspline (1.1.7-1) unstable; urgency=low

  * update to upstream version 1.1.7
  * Bump Standards-Version to 4.6.2

 -- Kay F. Jahnke <kfjahnke@gmail.com>  Fri, 14 Jul 2023 12:30:00 +0200
