=== debian/watch ===
# bitbucket have changed their tar file naming to file names which
# do not contain any reference to the version number. So I have resorted
# to directly accessing the git repository:

version=4
opts="mode=git, gitmode=full, pgpmode=none" \
https://bitbucket.org/kfj/vspline \
refs/tags/([0-9]\.[0-9]\.[0-9]) debian uupdate
